summaryrefslogtreecommitdiffstats
path: root/tests/run.sh
diff options
context:
space:
mode:
authorRuediger Meier2014-03-13 17:40:16 +0100
committerRuediger Meier2014-03-13 17:45:01 +0100
commitddd2570f6091c0e8edf9274a311a6f468e8c025d (patch)
treeb5e8173fad78b2c449b1907b97e8a25b6569da63 /tests/run.sh
parenttests: write tests/failures to build- instead of srcdir (diff)
downloadkernel-qcow2-util-linux-ddd2570f6091c0e8edf9274a311a6f468e8c025d.tar.gz
kernel-qcow2-util-linux-ddd2570f6091c0e8edf9274a311a6f468e8c025d.tar.xz
kernel-qcow2-util-linux-ddd2570f6091c0e8edf9274a311a6f468e8c025d.zip
tests: return error if failures file not usable
In past this could happen when doing make distcheck. Signed-off-by: Ruediger Meier <ruediger.meier@ga-group.nl>
Diffstat (limited to 'tests/run.sh')
-rwxr-xr-xtests/run.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/run.sh b/tests/run.sh
index decea3925..7b1e4b7c7 100755
--- a/tests/run.sh
+++ b/tests/run.sh
@@ -140,7 +140,7 @@ printf "%s\n" ${comps[*]} |
xargs -I '{}' -P $paraller_jobs -n 1 bash -c "'{}' \"$OPTS\" ||
echo 1 >> $top_builddir/tests/failures"
declare -a fail_file
-fail_file=( $( < $top_builddir/tests/failures ) )
+fail_file=( $( < $top_builddir/tests/failures ) ) || exit 1
rm -f $top_builddir/tests/failures
echo
echo "---------------------------------------------------------------------"